package com.ruoyi.demo.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.bo.PlanAddBo;
import com.ruoyi.demo.entity.bo.PlanBo;
import com.ruoyi.demo.service.PlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("plan")
public class PlanController {
    @Autowired
    PlanService planService;

    @PostMapping()
    public R addPlan(@RequestBody PlanAddBo bo){
        int i = planService.addPlan(bo);
        if (i == 1)
            return R.ok("广告添加成功");
        if (i == -1)
            return R.fail("无效的appkey");
        if (i == -2)
            return R.fail("无效商户");
        if (i == -3)
            return R.fail("校验sign出错");
        return R.fail("广告添加失败");
    }

    @DeleteMapping()
    public R deletePlan(PlanBo bo){
        List<String> planIds = bo.getPlanIds();
        return null;
    }

    @PutMapping()
    public R checkPlan(PlanBo bo){
        String planId = bo.getPlanId();
        Integer state = bo.getState();
        return null;
    }

    @GetMapping("/list")
    public R planList(PlanBo bo){
        return null;
    }

    @GetMapping("/{planId}")
    public R planDetail(@PathVariable String planId){
        return null;
    }

    @GetMapping("/push")
    public R planPush(){
        return null;
    }
}
